clang-tools 8.0.0

Public Member Functions | List of all members
clang::find_all_symbols::PragmaCommentHandler Class Reference

PragmaCommentHandler parses pragma comment on include files to determine when we should include a different header from the header that directly defines a symbol. More...

`#include <PragmaCommentHandler.h>`

Inheritance diagram for clang::find_all_symbols::PragmaCommentHandler:
[legend]
Collaboration diagram for clang::find_all_symbols::PragmaCommentHandler:
[legend]

## Public Member Functions
| PragmaCommentHandler (HeaderMapCollector *Collector)
bool | HandleComment (Preprocessor &PP, SourceRange Range) override

## Detailed Description

PragmaCommentHandler parses pragma comment on include files to determine when we should include a different header from the header that directly defines a symbol.

Currently it only supports IWYU private pragma: https://github.com/include-what-you-use/include-what-you-use/blob/master/docs/IWYUPragmas.md#iwyu-pragma-private

Definition at line 28 of file PragmaCommentHandler.h.

## Constructor & Destructor Documentation

## ◆ PragmaCommentHandler()

clang::find_all_symbols::PragmaCommentHandler::PragmaCommentHandler | ( | HeaderMapCollector * | Collector | ) |
| inline

Definition at line 30 of file PragmaCommentHandler.h.

References HandleComment().

## Member Function Documentation

## ◆ HandleComment()

bool clang::find_all_symbols::PragmaCommentHandler::HandleComment | ( | Preprocessor & | PP,
|  | SourceRange | Range
| ) |  |
| override

Definition at line 22 of file PragmaCommentHandler.cpp.

Referenced by PragmaCommentHandler().

The documentation for this class was generated from the following files:

- PragmaCommentHandler.h
- PragmaCommentHandler.cpp